List PBX extension connectors
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/pbx_extension_connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"items": [
{
"pbx_extension_connector_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phone_number": "<string>",
"agent_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_name": "<string>",
"sip_connector_server": "<string>",
"pbx": {
"registrar_server": "<string>",
"port": 123,
"username_extension": "<string>"
},
"inbound": {
"allowed_ip": "<string>"
},
"auth": {
"has_separate_credentials": true,
"username": "<string>"
},
"normalizer": {
"default_prefix": "<string>",
"condition_length": "<string>",
"condition_prefix": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total": 137,
"last_page": 6,
"from": 1,
"to": 25,
"has_more": true
}
}
}PBX Extension Connectors
List PBX extension connectors
Returns paginated PBX extension connectors. Use this to audit extension routing from agents and phone numbers to the allocated SIP connector server, with optional filters for agent, phone number, or status.
GET
/
api
/
v1
/
pbx_extension_connectors
List PBX extension connectors
Authorizations
Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"
Query Parameters
Required range:
x <= 100Available options:
active, inactive ⌘I